<?php
header('Content-type: text/xml');
header('Content-Type: application/force-download');
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="dreamroi-orders.xml"');
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>";

	$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
    require_once( $parse_uri[0] . 'wp-load.php' );
    global $woocommerce;

	if ($_GET["loop"]) $loop_end = $_GET["loop"]*1;
	else $loop_end = 10000;
	$loop = 0;

	$orders = wc_get_orders( array('numberposts' => 10000) );

	$output = '<orders>';

	// Loop through each WC_Order object
	foreach( $orders as $order ){
		$loop++;
		if ($loop>$loop_end) break;
		
		$data = $order->get_data();
		
		$output .= '<order>';
		$output .= '<id>'.$data['id'].'</id>';
		$output .= '<total>'.$data['total'].'</total>';
		$output .= '<email>'.$order->get_billing_email().'</email>';
		$output .= '<timestamp>'.$order->get_date_created().'</timestamp>';
		
		$order_items = $order->get_items(); // Get order items
		$output .= '<products>';
		foreach( $order_items as $item_id => $item ){	
			$item_data = $item->get_data();

			$output .= '<product>';
			$output .= '<id>'.$item_data['product_id'].'</id>';
			$output .= '<quantity>'.$item_data['quantity'].'</quantity>';
			$output .= '<price>'.$item_data['total'].'</price>';
			$output .= '</product>';
		}
		$output .= '</products>';
		$output .= '</order>';
	}

	$output .= '</orders>';

	echo $output;
?>