<?php
header('Content-type: text/xml');
header('Pragma: public');
header('Cache-control: private');
header('Expires: '.gmdate('D, d M Y H:i:s \G\M\T', time() + (60 * 60))); // 1 hour

	echo "<rss xmlns:g=\"http://base.google.com/ns/1.0\" version=\"2.0\"><channel>";
	$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
	require_once( $parse_uri[0] . 'wp-load.php' );
	global $woocommerce;

	if ($_GET["loop"]) $loop_end = $_GET["loop"]*1;
	else $loop_end = 1000;
	$loop = 0;

	?>
	<title><?php echo bloginfo( 'name' ) ?></title>
        <link><?php echo home_url() ?></link>
        <description><?php echo bloginfo( 'description' ) ?></description>
	<?php
    $args = array(
		'status' => 'publish',
		'limit'  => 5000,
		//'stock_status' => 'instock',
	);
	$products = wc_get_products( $args );

	$output = '';
	$cat_sep = ' > ';
	// Loop through each object
	foreach( $products as $product ){
		$loop++;
		if ($loop>$loop_end) break;
		
		$data = $product->get_data();
		// reverse array for categories breadcrumb - only first category
		$cat_breads = array_reverse(get_ancestors($data['category_ids'][0], 'product_cat'));
		
		$output .= '<item>';
			$output .= '<g:id>'.$data['id'].'</g:id>';
			$output .= '<g:title>'.$data['name'].'</g:title>';
			$output .= '<g:description>'.$data['short_description'].'</g:description>';
			$output .= '<g:link>'.get_permalink($data['id']).'</g:link>';
			$output .= '<g:image_link>'.wp_get_attachment_image_url($data['image_id'], 'full' ).'</g:image_link>';
			$output .= '<g:availability>in stock</g:availability>';
			
			if ($data['sale_price']) {
		    	$output .= '<g:sale_price>'.$data['sale_price'].' '. get_woocommerce_currency().'</g:sale_price>';
				$output .= '<g:price>'.$data['regular_price'].' '. get_woocommerce_currency().'</g:price>';
			} else {
				$output .= '<g:price>'.$data['price'].' '. get_woocommerce_currency().'</g:price>';
			}
			
			// categories breadcrumb
			if($term = get_term_by('id', $data['category_ids'][0], 'product_cat')){
				$output .= '<g:google_product_category>';
				if (!empty($cat_breads)) {
					foreach($cat_breads as $cat_bread){
						if($term_sub = get_term_by('id', $cat_bread, 'product_cat')) {
							$output .= $term_sub->name.$cat_sep;
						}
					}
				}
				$output .= $term->name.'</g:google_product_category>';
			}
			
        $output .= '</item>';
	}
	echo $output;
?></channel></rss>